Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / PostgreSQL Новый топик    Ответить
 PostGIS и packaging  [new]
person1534
Member

Откуда:
Сообщений: 30
Здравствуйте, товарищи,


Я в своей деятельности плавно добрался до PostGIS и аккуратно и точно наступил все на те же грабли, что и в начале :)

Итак есть Debian Buster и PostgreSQL 12.

Сконфигурированы 2 источника пакетов Дебиан и PGDG.

Дебиан, как и всегда, раздает PostgreSQL 10 и с ним те пакеты, описание которых можно легко найти в интернете. Загрузчик и выгрузчик живут в пакете postgis для PostgreSQL 10.

PGDG раздает все от 9 до 13 с одним МАЛЕНЬКИМ но.

В пакете postgresql-12-postgis ни pgsql2shp, ни shp2pgsql мне обнаружить не удалось. Вся остальная три...я работает, из чего проистекают грустные выводы.

Я - еще не волшебник, я только учусь, но вот такая ситуация бесит невероятно :)

Any good idea? Про компиляцию я думать не хочу. Чего бы повкуснее мне.

Искренне Ваш :)
2 ноя 20, 11:45    [22224687]     Ответить | Цитировать Сообщить модератору
 Re: PostGIS и packaging  [new]
person1534
Member

Откуда:
Сообщений: 30
Апропо, в postgresql-13-postgis их также нет. На форуме сегодня прочитал :)
2 ноя 20, 11:51    [22224696]     Ответить | Цитировать Сообщить модератору
 Re: PostGIS и packaging  [new]
Melkij
Member

Откуда: Санкт-Петербург
Сообщений: 1181
в пакете, собственно, postgis смотрели?
2 ноя 20, 12:37    [22224738]     Ответить | Цитировать Сообщить модератору
 Re: PostGIS и packaging  [new]
person1534
Member

Откуда:
Сообщений: 30
Здравствуйте, Melkij,


postgis есть такой пакет, там есть загрузчик и выгрузчик. У него версия не та, какая нужна.

PostGIS 2.4 для PostgreSQL 10, сколько я помню.

Мне бы 3.0.1 для PostgreSQL 12.

PGDG его, похоже, не осилили целиком.

Ну, и правда, кому на фиг нужна bulk-загрузка? Пусть так поездят.
2 ноя 20, 13:11    [22224773]     Ответить | Цитировать Сообщить модератору
 Re: PostGIS и packaging  [new]
Melkij
Member

Откуда: Санкт-Петербург
Сообщений: 1181
melkij@melkij:~$ apt-cache policy postgis
postgis:
Установлен: (отсутствует)
Кандидат: 3.0.2+dfsg-4.pgdg100+1
Таблица версий:
3.0.2+dfsg-4.pgdg100+1 500
500 http://apt.postgresql.org/pub/repos/apt buster-pgdg/main amd64 Packages
2.5.1+dfsg-1 500
500 http://ftp.ru.debian.org/debian buster/main amd64 Packages
Да есть он в PGDG
2 ноя 20, 17:04    [22225109]     Ответить | Цитировать Сообщить модератору
Все форумы / PostgreSQL Ответить